﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Core;
using HeuristicLab.Encodings.ScheduleEncoding;
using HeuristicLab.Optimization;

namespace HeuristicLab.Problems.Scheduling {
  /// <summary>
  /// An evaluator for a scheduling problem representation
  /// </summary>
  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("C0FB003E-BED8-434B-952F-0F22515D6CDC")]
  public interface ISchedulingEvaluator : ISingleObjectiveEvaluator {
    ILookupParameter<IScheduleDecoder> ScheduleDecoderParameter { get; }
    ILookupParameter<IScheduleEvaluator> ScheduleEvaluatorParameter { get; }
  }
}
